<?php

/**
 * @package Small Caps BBC
 * @version 1.00
 * @autor margarett (Bruno Alves) for SimpleMachines www.simplemachines.org
 * @based on the Simple Spoiler BBC mod by Suki
 * @copyright Copyright (c) 2014, Bruno Alves
 * @license http://www.mozilla.org/MPL/MPL-1.1.html
 */

/*
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is http://missallsunday.com code.
 *
 * The Initial Developer of the Original Code is
 * Jessica Gonzlez.
 * Portions created by the Initial Developer are Copyright (C) 2011
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 *
 */

if (!defined('SMF'))
	die('Hacking attempt...');

function smallcaps_bbc_add_code(&$codes)
{
	global $txt;

	loadLanguage('Modifications');

	$codes[] = array(
		'tag' => 'smallcaps',
		'before' => '<span style="font-variant:small-caps;">',
		'after' => '</span>',
	);
}

function smallcaps_bbc_add_button(&$buttons)
{
	global $txt;

	loadLanguage('Modifications');
	

	$temp[] = array(
		'image' => 'smallcaps',
		'code' => 'smallcaps',
		'before' => '[smallcaps]',
		'after' => '[/smallcaps]',
		'description' => $txt['smallcaps_desc'],
	);
	array_splice($buttons[0], 4, 0, $temp );
	unset ($temp);

}
